/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/


/* Submit buttons */
/*
input[type="submit"],
button[type="submit"] {
  position: relative;
  display: inline-flex;
  vertical-align: middle;
  width: auto;
  margin: 0;
  font-family: var(--font-body);
  text-decoration: none;
  text-transform: uppercase;
  outline: none;
  transition: color 0.2s ease-out, background-color 0.2s ease-out, border-color 0.2s ease-out;
  padding: 12px 36px;
  color: var(--m-base);
  background-color: transparent;
  border: 1px solid var(--m-base);
  cursor: pointer;
}
input[type="submit"] .m-text,
button[type="submit"] .m-text {
  -webkit-text-fill-color: transparent;
  position: relative;
  -webkit-clip-path: inset(-0.06em);
  clip-path: inset(-0.06em);
}
input[type="submit"] .m-text:before,
input[type="submit"] .m-text:after,
button[type="submit"] .m-text:before,
button[type="submit"] .m-text:after {
  content: attr(data-title);
  display: block;
  -webkit-text-fill-color: currentColor;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: opacity 0.2s ease-out, transform 0.58s cubic-bezier(0.22, 0.61, 0.36, 1);
}
input[type="submit"] .m-text:before,
button[type="submit"] .m-text:before { transform: translateY(0); }
input[type="submit"] .m-text:after,
button[type="submit"] .m-text:after {
  transform-origin: 0 50%;
  transform: translateY(110%) rotate(10deg);
  transition-duration: 0.35s, 0.4s;
  opacity: 0.5;
}
input[type="submit"]:hover,
button[type="submit"]:hover {
  color: var(--m-base);
  border-color: var(--m-base);
}
input[type="submit"]:hover .m-text:before,
button[type="submit"]:hover .m-text:before {
  transform: translateY(-100%);
  opacity: 0;
  transition-duration: 0.35s, 0.4s;
}
input[type="submit"]:hover .m-text:after,
button[type="submit"]:hover .m-text:after {
  opacity: 1;
  transform: translateY(0);
  transition-duration: 0.2s, 0.58s;
}
button[type="submit"] span,
button[type="submit"] span:before {
  display: block;
  line-height: inherit;
}*/